> For the complete documentation index, see [llms.txt](https://developers.welcomekit.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.welcomekit.co/jobs-api/offices/update-an-office.md).

# Update an office

This endpoint lets you update existing offices for a given id.

{% hint style="info" %}
&#x20;This endpoint requires `offices_rw` scope.
{% endhint %}

## office update

<mark style="color:orange;">`PUT`</mark> `https://www.welcomekit.co/api/v1/external/offices/:id`

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | string | Office ID   |

#### Query Parameters

| Name            | Type    | Description                         |
| --------------- | ------- | ----------------------------------- |
| name            | string  | Name                                |
| address         | string  | Address                             |
| zip\_code       | string  | Zip code                            |
| city            | string  | City                                |
| country\_code   | string  | Country code                        |
| is\_headquarter | boolean | Office is organization headquarter? |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "id": 42,
  "name": "France",
  "address": "11 bis rue Bachaumont",
  "zip_code": "75002",
  "city": "Paris",
  "country_code": "FR",
  "is_headquarter": true
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X PUT "https://www.welcomekit.co/api/v1/external/offices/:id" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d @- <<EOF
{
  "name": "France"
}
EOF
```
